package com.example.project_musicalquiz.data.models

/**
 * [Album] is a data class that represents a musical album.
 * It contains essential information about an album, such as its ID,
 * title, associated artist, and the URL of its cover art.
 *
 * @property id The unique identifier of the album.
 * @property title The title of the album.
 * @property artist The artist associated with the album ([Artist]).
 * @property cover The URL of the album's cover art.
 */
data class Album(
    val id: Long,
    val title: String,
    val artist: Artist,
    val cover_big: String,
    val cover_medium: String,
)