package com.example.project_musicalquiz.data.models

import com.google.gson.annotations.SerializedName

/**
 * [AlbumResponse] is a data class that represents the response from the Deezer API
 * when searching for albums. It contains a list of [Album] objects.
 *
 * @property albums The list of albums ([Album]) returned by the API.
 * The property name in the JSON response is "data",
 * hence the use of the [@SerializedName] annotation.
 */
data class AlbumResponse(
    @SerializedName("data")
    val albums: List<Album>
)