package com.example.project_musicalquiz.data.models

/**
 * [Track] is a data class that represents a musical track (a song).
 * It contains essential information about a track, such as its ID,
 * title, associated artist, and the album it belongs to.
 *
 * @property id The unique identifier of the track.
 * @property title The title of the track.
 * @property artist The artist associated with the track ([Artist]).
 * @property album The album to which the track belongs ([Album]).
 */
data class Track(
    val id: Long,
    val title: String,
    val artist: Artist,
    val album: Album
)