package com.example.project_musicalquiz.data.models

import com.google.gson.annotations.SerializedName

/**
 * [TrackResponse] is a data class that represents the response from the Deezer API
 * when searching for tracks. It contains a list of [Track] objects.
 *
 * @property tracks The list of tracks ([Track]) returned by the API.
 * The property name in the JSON response is "data",
 * hence the use of the [@SerializedName] annotation.
 */
data class TrackResponse(
    @SerializedName("data")
    val tracks: List<Track>
)